2

I try to use .NET Core for Raspberry Pi 3 and want to install IoT libraries by using the instructions here I want to do development on my Mac and then copy files to the RPi so I created a console project and try to execute the command:

dotnet add package System.Device.Gpio --source https://dotnet.myget.org/F/dotnet-core/api/v3/index.json

And I get an error:

$ dotnet add package System.Device.Gpio --source https://dotnet.myget.org/F/dotnet-core/api/v3/index.json
  Writing /var/folders/tw/z8v0wkt50g5876740n99hzy00000gp/T/tmp9rVxXd.tmp
info : Adding PackageReference for package 'System.Device.Gpio' into project '/Users/Maxim/work/dotnetcore/test_dht22/test_dht22.csproj'.
info : Restoring packages for /Users/Maxim/work/dotnetcore/test_dht22/test_dht22.csproj...
info :   CACHE https://api.nuget.org/v3-flatcontainer/system.device.gpio/index.json
info :   CACHE https://dotnetmyget.blob.core.windows.net/artifacts/dotnet-core/nuget/v3/flatcontainer/system.device.gpio/index.json
error: Unable to find a stable package System.Device.Gpio with version 
error:   - Found 95 version(s) in myget.org [ Nearest version: 0.1.0-prerelease.19251.2 ]
error:   - Found 3 version(s) in nuget.org [ Nearest version: 0.1.0-prerelease.19171.3 ]
error: Package 'System.Device.Gpio' is incompatible with 'all' frameworks in project /Users/Maxim/work/dotnetcore/test_dht22/test_dht22.csproj'.

And there is dotnet --info:

$ dotnet --info
.NET Core SDK (reflecting any global.json):
 Version:   2.2.203
 Commit:    e5bab63eca

Runtime Environment:
 OS Name:     Mac OS X
 OS Version:  10.14
 OS Platform: Darwin
 RID:         osx.10.14-x64
 Base Path:   /usr/local/share/dotnet/sdk/2.2.203/

Host (useful for support):
  Version: 3.0.0-preview5-27626-15
  Commit:  61f30f5a23

.NET Core SDKs installed:
  2.2.203 [/usr/local/share/dotnet/sdk]

.NET Core runtimes installed:
  Microsoft.AspNetCore.All 2.2.3 [/usr/local/share/dotnet/shared/Microsoft.AspNetCore.All]
  Microsoft.AspNetCore.All 2.2.4 [/usr/local/share/dotnet/shared/Microsoft.AspNetCore.All]
  Microsoft.AspNetCore.App 2.2.3 [/usr/local/share/dotnet/shared/Microsoft.AspNetCore.App]
  Microsoft.AspNetCore.App 2.2.4 [/usr/local/share/dotnet/shared/Microsoft.AspNetCore.App]
  Microsoft.AspNetCore.App 3.0.0-preview5-19227-01 [/usr/local/share/dotnet/shared/Microsoft.AspNetCore.App]
  Microsoft.NETCore.App 2.2.3 [/usr/local/share/dotnet/shared/Microsoft.NETCore.App]
  Microsoft.NETCore.App 2.2.4 [/usr/local/share/dotnet/shared/Microsoft.NETCore.App]
  Microsoft.NETCore.App 3.0.0-preview5-27626-15 [/usr/local/share/dotnet/shared/Microsoft.NETCore.App]

What's wrong with that?

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.